Name:           nyquist
Version:        3.03
Release:        3%{?dist}
Summary:        Sound synthesis and composition language with a Lisp syntax

Group:          Applications/Multimedia
License:        BSD
URL:            http://www-2.cs.cmu.edu/~music/music.software.html
Source0:        http://www-2.cs.cmu.edu/~music/nyquist/nyqsrc303.zip
#Patch0:         nyqsrc231-pafix.patch
Patch3:         nyqsrc303-make.patch
Patch4:         nyqsrc303-gcc441.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  alsa-lib-devel
BuildRequires:  liblo-devel
BuildRequires:  portaudio-devel
BuildRequires:  java-1.6.0-openjdk-devel
BuildRequires:  dos2unix
Requires:       java-1.6.0-openjdk

%description
Nyquist is a language for sound synthesis and music
composition. Unlike score languages that tend to deal only with
events, or signal processing languages that tend to deal only with
signals and synthesis, Nyquist handles both in a single integrated
system. Nyquist is also flexible and easy to use because it is based
on an interactive Lisp interpreter.


%prep
%setup -q -n nyquist
%patch3 -p1 -b .make
%patch4 -p1 -b .gcc441

# remove cvs cruft
find -name CVS | xargs rm -fr
# add opt flags
sed -i "s|^CFLAGS =|CFLAGS = $RPM_OPT_FLAGS |" misc/Makefile
# remove dos paths that cause warnings
sed -i 's|(setdir ".:.*")||' runtime/fileio.lsp
# fix some permission
find -name "*.lsp" | xargs chmod 0644
sed -i 's|"./ny"|"ny"|' jnyqide/NyquistThread.java
# change end-of-line
find -name "*.htm*" \
    -or -name "*.lsp" \
    -or -name "*.txt" \
    -or -name "*.ny" \
    -or -name "*.dat" | xargs dos2unix -q

%build
rm -f runtime/system.lsp
make %{?_smp_mflags} OPT="$RPM_OPT_FLAGS" -f sys/unix/linux/Makefile


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/nyquist
mkdir -p $RPM_BUILD_ROOT%{_datadir}/nyquist/java
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}

cp -pr runtime $RPM_BUILD_ROOT%{_datadir}/nyquist
cp -pr lib $RPM_BUILD_ROOT%{_datadir}/nyquist
cp -pr demos $RPM_BUILD_ROOT%{_datadir}/nyquist
cp -p ny $RPM_BUILD_ROOT%{_libexecdir}
cp -p jnyqide/jNyqIDE.jar $RPM_BUILD_ROOT%{_datadir}/nyquist/java


cat > $RPM_BUILD_ROOT%{_bindir}/ny <<EOF
#!/bin/sh
export XLISPPATH=%{_datadir}/nyquist/runtime:%{_datadir}/nyquist/lib
exec %{_libexecdir}/ny \$*
EOF
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/ny

cat > $RPM_BUILD_ROOT%{_bindir}/jny <<EOF
#!/bin/sh
export XLISPPATH=%{_datadir}/nyquist/runtime:%{_datadir}/nyquist/lib
exec java -jar %{_datadir}/nyquist/java/jNyqIDE.jar \$*
EOF
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/jny

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Readme.txt license.txt advantages.txt files.txt todo.txt
%doc doc
%{_bindir}/ny
%{_bindir}/jny
%{_libexecdir}/ny
%{_datadir}/nyquist


%changelog
* Sat Aug  8 2009 Gerard Milmeister <gemi@bluewin.ch> - 3.03-1
- new release 3.03
- use system portaudio and liblo

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Gerard Milmeister <gemi@bluewin.ch> - 3.02-1
- new release 3.02

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul  7 2008 Gerard Milmeister <gemi@bluewin.ch> - 3.01-1
- new release 3.01

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.37-2
- Autorebuild for GCC 4.3

* Sun Dec 16 2007 Gerard Milmeister <gemi@bluewin.ch> - 2.37-1
- new release 2.37

* Sun Mar 25 2007 Gerard Milmeister <gemi@bluewin.ch> - 2.36-1
- new version 2.36

* Thu Jan 25 2007 Gerard Milmeister <gemi@bluewin.ch> - 2.33-1
- new version 2.33

* Sun Jan  7 2007 Gerard Milmeister <gemi@bluewin.ch> - 2.32-1
- new version 2.32

* Thu Nov  2 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.31-3
- added patch for portaudio bug

* Thu Feb  2 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.31-2
- new version 2.31

* Sat Mar 26 2005 Gerard Milmeister <gemi@bluewin.ch> - 2.30-1
- First Fedora release
